/**
 * Copyright 2019 Google LLC. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { GitHub } from './github';
import { ReleaseType } from './release-pr';
import { ReleasePROptions } from './release-pr';
export declare class CandidateIssue {
    label: string;
    gh: GitHub;
    bumpMinorPreMajor?: boolean;
    repoUrl: string;
    token: string | undefined;
    packageName: string;
    releaseType: ReleaseType;
    constructor(options: ReleasePROptions);
    run(): Promise<void>;
    private nodeReleaseCandidate;
    private coerceReleaseCandidate;
    private commits;
    private gitHubInstance;
    static bodyTemplate(changelogEntry: string, packageName: string): string;
    static bodySansFooter(body: string): string;
}
